device_type: "qemu"

job_name: "tuxrun@qemu-armv5: ltp-smoke"
priority: "medium"
visibility: "public"

context:
    arch: "arm"
    machine: "versatilepb"
    cpu: "arm926"
    memory: "256M"
    extra_options: ["-no-reboot", ""]
    no_kvm: true
    no_network: true
timeouts:
  job:
    minutes: 32
  action:
   minutes: 5
  actions:
    power-off:
      seconds: 30

actions:
- deploy:
    to: tmpfs
    timeout:
      minutes: 15
    os: oe
    images:
      kernel:
        image_arg: '-kernel {kernel} -append "console=ttyAMA0,115200 rootwait root=/dev/vda debug verbose console_msg_format=syslog systemd.log_level=warning earlycon"'
        url: "https://storage.tuxboot.com/buildroot/armv5/zImage"
      dtb:
        image_arg: "-dtb {dtb}"
        url: "https://storage.tuxboot.com/buildroot/armv5/versatile-pb.dtb"
      rootfs:
        image_arg: "-drive file={rootfs},format=raw,id=hd0,if=virtio"
        url: "file:///home/anders/.cache/tuxrun/assets/https___storage.tuxboot.com_buildroot_armv5_rootfs.ext4.zst"
        compression: zstd
        overlays:
          lava: true
- boot:
    method: qemu
    timeout:
      minutes: 15
    auto_login:
      login_prompt: 'login:'
      username: root
    prompts:
    - 'root@(.*):[/~]#'
- test:
    timeout:
      minutes: 2
    definitions:
    - repository: file:///home/anders/.cache/tuxrun/assets/https___storage.tuxboot.com_test-definitions_2024.12.tar.zst
      lava-signal: kmsg
      from: url
      compression: zstd
      path: automated/linux/ltp/ltp.yaml
      parameters:
        SKIP_INSTALL: 'true'
        TST_CMDFILES: 'smoketest'
        SKIPFILE: '/tuxtest/skipfiles/armv5/ltp-smoke'
        ENVIRONMENT: 'production'
        LTP_TMPDIR: '/scratch'
        LTP_INSTALL_PATH: '/opt/ltp/'
        SHARD_NUMBER: 1
        SHARD_INDEX: 1
        RUNNER: 
        TIMEOUT_MULTIPLIER: 5
      name: ltp-smoke
